Bug 70528 - neat crashed 2nd ne NIC irq=10 io=0x300
neat crashed 2nd ne NIC irq=10 io=0x300
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-02 03:31 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:23:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-02 03:31:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
netcfg with neat crashed on 2nd ne driver for isapnp NIC with irq=10 io=0x300 
which might clash with unfinnised setuped ALS0120 sound card or the first ne2k-
pci NIC on irq=12 (who wanted irq=11) with SM820 Lynx3D VGA card on irq=11

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH7.3
2. Use Network Configuration Tool under X to setup 2nd NIC
3. Try to apply
	

Actual Results:  2nd NIC still not functioning.

Expected Results:  Be able to ping through 2nd NIC

Additional info:

See Description. I can supply all /proc etc. analysis if that would help.
The sound card does work (good RH7.3!) but does not seem to be properly setup 
(some options/extentions missing alias mail).
Manually editted all eth0 and eth1 under /etc/sysconfig and modprobe eth1 
options io=0x300 irq=10 and used /sbin/ifconfig and network start to get it 
manually up and running (yeah).

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 653, in on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 287, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__
[selfkey])
KeyError: options

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 8602ab8>
hw: <netconfpkg.HardwareList.Hardware instance at 8169dc0>
selfkey: IoPort
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 8644498>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 841e900>
confkey: io
self: [<netconfpkg.HardwareList.Hardware instance at 825f078>, 
<netconfpkg.HardwareList.Hardware instance at 8169dc0>]

and I have a similar dump for on_applyButton_clicked

My user error might be that I don't know the difference between gateway and 
router setup for the ip-address (some pointers please?) but I don't think that 
is the problem here.

1st NIC from pci file:
  Bus  0, device  11, function  0:
    Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS) (rev 0).
      IRQ 12.
      I/O at 0x6700 [0x671f].

from isapnp:
Card 1 'ALS0120:PnP Sound Chip' PnP version 1.0
:
:
  Logical device 3 '@X@2001:Unknown'
    Supported registers 0x2
    Device is not active
    Resources 0
      Priority preferred
      Port 0x330-0x330, align 0x1, size 0x2, 16-bit address decoding
      IRQ 2/9 High-Edge
      Alternate resources 0:1
        Priority acceptable
        Port 0x300-0x3f0, align 0xf, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10,11 High-Edge

(Might any of these bugs be related 69649, 69577, 67412, 66576, 66211?)
Comment 1 Need Real Name 2002-08-15 02:59:33 EDT
I have managed to get past the crash point by manual setup of the isa card. 
Editing options ne irq=10 io=0x300 into /etc/modules.conf, etc. I also noticed 
that the routes were not displayed for the cards until you added another or 
even a blank route (which you can then delete again). The isa cards thus seems 
to have been setup before you use neat.
Comment 2 Need Real Name 2002-08-15 03:03:37 EDT
I have managed to get past the crash point by manual setup of the isa card. 
Editing options ne irq=10 io=0x300 into /etc/modules.conf, etc. I also noticed 
that the routes were not displayed for the cards until you added another or 
even a blank route (which you can then delete again). The isa cards thus seems 
to have to be setup before you use neat.
Comment 3 Bill Nottingham 2006-08-05 00:14:01 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 12:23:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.